* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Arial', sans-serif;
}

body {
  background: linear-gradient(to top left, #022b3a, #1f7a8c);
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.form-wrapper {
  width: 400px;
  background: #fff;
  display: flex;
  flex-direction: column;
  border-radius: 20px;
  padding: 40px;
  box-shadow: 0 10px 40px rgba(0,0,0,0.2);
  position: relative;
}

.form-wrapper::before,
.form-wrapper::after {
  content: "";
  position: absolute;
  width: 120%;
  height: 120px;
  left: -10%;
  z-index: -1;
  border-radius: 50%;
}

.form-wrapper::before {
  top: -60px;
}

.form-wrapper::after {
  bottom: -60px;
}

.logo-container {
  text-align: center;
  margin-bottom: 20px;
}

.logo-container img {
  width: 220px;
  height: auto;
}

.form-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #fff;
}

.form-left h2 {
  font-size: 28px;
  font-weight: 700;
  margin-bottom: 10px;
  text-align: center;
}

.form-left h2 span {
  color: #1f7a8c;
}

.form-left p {
  margin-bottom: 25px;
  color: #555;
  text-align: center;
}

.form-left input {
  width: 100%;
  padding: 14px 20px;
  margin-bottom: 15px;
  border: 1px solid black;
  border-radius: 30px;
  background: #f2f2f2;
  font-size: 14px;
}

.form-left input:focus {
  outline: none;
  box-shadow: 0 0 8px #74b9ff;
}

.form-left button {
  width: 100%;
  padding: 14px 0;
  border: none;
  border-radius: 30px;
  background: linear-gradient(to right, #1f7a8c);
  color: white;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.3s;
}

.form-left button:hover {
  background: linear-gradient(to right, #bfdbf7, #1f7a8c);
}

.options {
  display: flex;
  justify-content: flex-end;
  font-size: 14px;
  margin-bottom: 15px;
}

.options a {
  text-decoration: none;
  color: #1f7a8c;
}

.register-text {
  margin-top: 10px;
  font-size: 14px;
  text-align: center;
}

.register-text a {
  color: #1f7a8c;
  text-decoration: none;
}
